Skip to main content
GET
/
b2b
/
custom-orders
/
{order_id}
Get Custom Order
curl --request GET \
  --url https://nexus.kraken.com/b2b/custom-orders/{order_id} \
  --header 'API-Key: <api-key>' \
  --header 'API-Sign: <api-key>'
{
  "result": {
    "order": {
      "id": "<string>",
      "name": "<string>",
      "action": {
        "type": "receive",
        "amount": {
          "asset": "<string>",
          "amount": "1.23",
          "asset_class": "currency"
        },
        "quote": {
          "asset": "<string>"
        },
        "fee_bps": "<string>",
        "spread_bps": "<string>"
      },
      "trigger": {
        "type": "price",
        "base_asset": "<string>",
        "quote_asset": "<string>",
        "target_price": "1.23",
        "condition": "gte"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "status": {
        "status": "active"
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

Headers

Payward-Version
enum<string>
default:2025-04-15

The target version of the Embed API to use. The API version name is based on the date when the API version was released. For example, the API version 2025-04-15 was released on April 15, 2025.

Available options:
2025-04-15

Path Parameters

order_id
string
required

The ID of the custom order to retrieve

Query Parameters

user
string
required

IIBAN of the user to act on behalf of. Internet International Bank Account Number (IIBAN)

Required string length: 14 - 42

Response

Response

result
object